Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::equal_range_fn Struct Reference
Algorithms

## Public Member Functions
template<typename I , typename S , typename V , typename C = less, typename P = identity>
auto | operator() (I begin, S end, V const &val, C pred=C{}, P proj=P{}) const -> subrange< I > requires forward_iterator< I > &&sentinel_for< S, I > &&indirect_strict_weak_order< C, V const *, projected< I, P >>
template<typename Rng , typename V , typename C = less, typename P = identity>
auto | operator() (Rng &&rng, V const &val, C pred=C{}, P proj=P{}) const -> safe_subrange_t< Rng > requires forward_range< Rng > &&indirect_strict_weak_order< C, V const *, projected< iterator_t< Rng >, P >>